diff --git a/doc/bash.0 b/doc/bash.0
index 3542cb61..8a3d8177 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -2912,66 +2913,66 @@ PPRROOMMPPTTIINNGG
               \\$$     if the effective UID is 0, a ##, otherwise a $$
               \\_n_n_n   the character corresponding to the octal number _n_n_n
               \\\\     a backslash
-              \\[[     begin a sequence of non-printing characters, which  could
-                     be  used  to  embed  a terminal control sequence into the
+              \\[[     begin  a sequence of non-printing characters, which could
+                     be used to embed a terminal  control  sequence  into  the
                      prompt
               \\]]     end a sequence of non-printing characters
 
-       The command number and the history number are  usually  different:  the
-       history  number of a command is its position in the history list, which
-       may include commands  restored  from  the  history  file  (see  HHIISSTTOORRYY
-       below),  while  the  command  number is the position in the sequence of
-       commands executed during the current shell session.  After  the  string
-       is  decoded,  it is expanded via parameter expansion, command substitu-
-       tion, arithmetic expansion, and quote removal, subject to the value  of
-       the  pprroommppttvvaarrss  shell option (see the description of the sshhoopptt command
+       The  command  number  and the history number are usually different: the
+       history number of a command is its position in the history list,  which
+       may  include  commands  restored  from  the  history  file (see HHIISSTTOORRYY
+       below), while the command number is the position  in  the  sequence  of
+       commands  executed  during the current shell session.  After the string
+       is decoded, it is expanded via parameter expansion,  command  substitu-
+       tion,  arithmetic expansion, and quote removal, subject to the value of
+       the pprroommppttvvaarrss shell option (see the description of the  sshhoopptt  command
        under SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below).
 
 RREEAADDLLIINNEE
-       This is the library that handles reading input when using  an  interac-
+       This  is  the library that handles reading input when using an interac-
        tive shell, unless the ----nnooeeddiittiinngg option is given at shell invocation.
        Line editing is also used when using the --ee option to the rreeaadd builtin.
        By default, the line editing commands are similar to those of Emacs.  A
        vi-style line editing interface is also available.  Line editing can be
-       enabled  at  any  time  using  the --oo eemmaaccss or --oo vvii options to the sseett
-       builtin (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below).  To turn off  line  editing
-       after  the  shell  is running, use the ++oo eemmaaccss or ++oo vvii options to the
+       enabled at any time using the --oo eemmaaccss or --oo  vvii  options  to  the  sseett
+       builtin  (see  SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below).  To turn off line editing
+       after the shell is running, use the ++oo eemmaaccss or ++oo vvii  options  to  the
        sseett builtin.
 
    RReeaaddlliinnee NNoottaattiioonn
        In this section, the Emacs-style notation is used to denote keystrokes.
-       Control  keys  are  denoted by C-_k_e_y, e.g., C-n means Control-N.  Simi-
-       larly, _m_e_t_a keys are denoted by M-_k_e_y, so M-x means Meta-X.   (On  key-
-       boards  without a _m_e_t_a key, M-_x means ESC _x, i.e., press the Escape key
+       Control keys are denoted by C-_k_e_y, e.g., C-n  means  Control-N.   Simi-
+       larly,  _m_e_t_a  keys are denoted by M-_k_e_y, so M-x means Meta-X.  (On key-
+       boards without a _m_e_t_a key, M-_x means ESC _x, i.e., press the Escape  key
        then the _x key.  This makes ESC the _m_e_t_a _p_r_e_f_i_x.  The combination M-C-_x
-       means  ESC-Control-_x, or press the Escape key then hold the Control key
+       means ESC-Control-_x, or press the Escape key then hold the Control  key
        while pressing the _x key.)
 
        Readline commands may be given numeric _a_r_g_u_m_e_n_t_s, which normally act as
-       a  repeat  count.   Sometimes,  however, it is the sign of the argument
-       that is significant.  Passing a negative argument  to  a  command  that
-       acts  in the forward direction (e.g., kkiillll--lliinnee) causes that command to
-       act in a backward direction.  Commands whose  behavior  with  arguments
+       a repeat count.  Sometimes, however, it is the  sign  of  the  argument
+       that  is  significant.   Passing  a negative argument to a command that
+       acts in the forward direction (e.g., kkiillll--lliinnee) causes that command  to
+       act  in  a  backward direction.  Commands whose behavior with arguments
        deviates from this are noted below.
 
-       When  a command is described as _k_i_l_l_i_n_g text, the text deleted is saved
+       When a command is described as _k_i_l_l_i_n_g text, the text deleted is  saved
        for possible future retrieval (_y_a_n_k_i_n_g).  The killed text is saved in a
        _k_i_l_l _r_i_n_g.  Consecutive kills cause the text to be accumulated into one
        unit, which can be yanked all at once.  Commands which do not kill text
        separate the chunks of text on the kill ring.
 
    RReeaaddlliinnee IInniittiiaalliizzaattiioonn
-       Readline  is  customized  by putting commands in an initialization file
-       (the _i_n_p_u_t_r_c file).  The name of this file is taken from the  value  of
-       the  IINNPPUUTTRRCC  variable.   If  that  variable  is  unset, the default is
-       _~_/_._i_n_p_u_t_r_c.  When a program which uses the readline library starts  up,
+       Readline is customized by putting commands in  an  initialization  file
+       (the  _i_n_p_u_t_r_c  file).  The name of this file is taken from the value of
+       the IINNPPUUTTRRCC variable.  If  that  variable  is  unset,  the  default  is
+       _~_/_._i_n_p_u_t_r_c.   When a program which uses the readline library starts up,
        the initialization file is read, and the key bindings and variables are
-       set.  There are only a few basic constructs  allowed  in  the  readline
-       initialization  file.  Blank lines are ignored.  Lines beginning with a
-       ## are comments.  Lines beginning with a  $$  indicate  conditional  con-
+       set.   There  are  only  a few basic constructs allowed in the readline
+       initialization file.  Blank lines are ignored.  Lines beginning with  a
+       ##  are  comments.   Lines  beginning with a $$ indicate conditional con-
        structs.  Other lines denote key bindings and variable settings.
 
-       The  default  key-bindings  may be changed with an _i_n_p_u_t_r_c file.  Other
+       The default key-bindings may be changed with an  _i_n_p_u_t_r_c  file.   Other
        programs that use this library may add their own commands and bindings.
 
        For example, placing
@@ -2979,18 +2980,18 @@ RREEAADDLLIINNEE
               M-Control-u: universal-argument
        or
               C-Meta-u: universal-argument
-       into the _i_n_p_u_t_r_c would make M-C-u execute the readline command  _u_n_i_v_e_r_-
+       into  the _i_n_p_u_t_r_c would make M-C-u execute the readline command _u_n_i_v_e_r_-
        _s_a_l_-_a_r_g_u_m_e_n_t.
 
-       The  following  symbolic  character  names are recognized: _R_U_B_O_U_T, _D_E_L,
+       The following symbolic character names  are  recognized:  _R_U_B_O_U_T,  _D_E_L,
        _E_S_C, _L_F_D, _N_E_W_L_I_N_E, _R_E_T, _R_E_T_U_R_N, _S_P_C, _S_P_A_C_E, and _T_A_B.
 
-       In addition to command names, readline allows keys to  be  bound  to  a
+       In  addition  to  command  names, readline allows keys to be bound to a
        string that is inserted when the key is pressed (a _m_a_c_r_o).
 
    RReeaaddlliinnee KKeeyy BBiinnddiinnggss
-       The  syntax for controlling key bindings in the _i_n_p_u_t_r_c file is simple.
-       All that is required is the name of the command or the text of a  macro
+       The syntax for controlling key bindings in the _i_n_p_u_t_r_c file is  simple.
+       All  that is required is the name of the command or the text of a macro
        and a key sequence to which it should be bound.  The name may be speci-
        fied in one of two ways: as a symbolic key name, possibly with _M_e_t_a_- or
        _C_o_n_t_r_o_l_- prefixes, or as a key sequence.
@@ -3002,15 +3003,15 @@ RREEAADDLLIINNEE
               Meta-Rubout: backward-kill-word
               Control-o: "> output"
 
-       In the above example, _C_-_u is bound to the function  uunniivveerrssaall--aarrgguummeenntt,
-       _M_-_D_E_L  is bound to the function bbaacckkwwaarrdd--kkiillll--wwoorrdd, and _C_-_o is bound to
-       run the macro expressed on the right hand side (that is, to insert  the
+       In  the above example, _C_-_u is bound to the function uunniivveerrssaall--aarrgguummeenntt,
+       _M_-_D_E_L is bound to the function bbaacckkwwaarrdd--kkiillll--wwoorrdd, and _C_-_o is bound  to
+       run  the macro expressed on the right hand side (that is, to insert the
        text ``> output'' into the line).
 
-       In  the  second  form,  ""kkeeyysseeqq"":_f_u_n_c_t_i_o_n_-_n_a_m_e or _m_a_c_r_o, kkeeyysseeqq differs
-       from kkeeyynnaammee above in that strings denoting an entire key sequence  may
-       be  specified  by  placing the sequence within double quotes.  Some GNU
-       Emacs style key escapes can be used, as in the following  example,  but
+       In the second form, ""kkeeyysseeqq"":_f_u_n_c_t_i_o_n_-_n_a_m_e  or  _m_a_c_r_o,  kkeeyysseeqq  differs
+       from  kkeeyynnaammee above in that strings denoting an entire key sequence may
+       be specified by placing the sequence within double  quotes.   Some  GNU
+       Emacs  style  key escapes can be used, as in the following example, but
        the symbolic character names are not recognized.
 
               "\C-u": universal-argument
@@ -3018,7 +3019,7 @@ RREEAADDLLIINNEE
               "\e[11~": "Function Key 1"
 
        In this example, _C_-_u is again bound to the function uunniivveerrssaall--aarrgguummeenntt.
-       _C_-_x _C_-_r is bound to the function rree--rreeaadd--iinniitt--ffiillee, and _E_S_C _[ _1 _1 _~  is
+       _C_-_x  _C_-_r is bound to the function rree--rreeaadd--iinniitt--ffiillee, and _E_S_C _[ _1 _1 _~ is
        bound to insert the text ``Function Key 1''.
 
        The full set of GNU Emacs style escape sequences is
@@ -3029,7 +3030,7 @@ RREEAADDLLIINNEE
               \\""     literal "
               \\''     literal '
 
-       In  addition  to  the GNU Emacs style escape sequences, a second set of
+       In addition to the GNU Emacs style escape sequences, a  second  set  of
        backslash escapes is available:
               \\aa     alert (bell)
               \\bb     backspace
@@ -3039,20 +3040,20 @@ RREEAADDLLIINNEE
               \\rr     carriage return
               \\tt     horizontal tab
               \\vv     vertical tab
-              \\_n_n_n   the eight-bit character whose value is  the  octal  value
+              \\_n_n_n   the  eight-bit  character  whose value is the octal value
                      _n_n_n (one to three digits)
-              \\xx_H_H   the  eight-bit  character  whose value is the hexadecimal
+              \\xx_H_H   the eight-bit character whose value  is  the  hexadecimal
                      value _H_H (one or two hex digits)
 
        When entering the text of a macro, single or double quotes must be used
        to indicate a macro definition.  Unquoted text is assumed to be a func-
-       tion name.  In the macro body, the backslash  escapes  described  above
-       are  expanded.   Backslash  will quote any other character in the macro
+       tion  name.   In  the macro body, the backslash escapes described above
+       are expanded.  Backslash will quote any other character  in  the  macro
        text, including " and '.
 
-       BBaasshh allows the current readline key bindings to be displayed or  modi-
-       fied  with  the bbiinndd builtin command.  The editing mode may be switched
-       during interactive use by using the --oo option to the sseett  builtin  com-
+       BBaasshh  allows the current readline key bindings to be displayed or modi-
+       fied with the bbiinndd builtin command.  The editing mode may  be  switched
+       during  interactive  use by using the --oo option to the sseett builtin com-
        mand (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below).
 
    RReeaaddlliinnee VVaarriiaabblleess
@@ -3062,77 +3063,77 @@ RREEAADDLLIINNEE
 
               sseett _v_a_r_i_a_b_l_e_-_n_a_m_e _v_a_l_u_e
 
-       Except  where  noted,  readline variables can take the values OOnn or OOffff
-       (without regard to case).  Unrecognized  variable  names  are  ignored.
-       When  a variable value is read, empty or null values, "on" (case-insen-
+       Except where noted, readline variables can take the values  OOnn  or  OOffff
+       (without  regard  to  case).   Unrecognized variable names are ignored.
+       When a variable value is read, empty or null values, "on"  (case-insen-
        sitive), and "1" are equivalent to OOnn.  All other values are equivalent
        to OOffff.  The variables and their default values are:
 
        bbeellll--ssttyyllee ((aauuddiibbllee))
-              Controls  what  happens when readline wants to ring the terminal
+              Controls what happens when readline wants to ring  the  terminal
               bell.  If set to nnoonnee, readline never rings the bell.  If set to
-              vviissiibbllee,  readline  uses a visible bell if one is available.  If
+              vviissiibbllee, readline uses a visible bell if one is  available.   If
               set to aauuddiibbllee, readline attempts to ring the terminal's bell.
        bbiinndd--ttttyy--ssppeecciiaall--cchhaarrss ((OOnn))
-              If set to OOnn, readline attempts to bind the  control  characters
+              If  set  to OOnn, readline attempts to bind the control characters
               treated specially by the kernel's terminal driver to their read-
               line equivalents.
        bblliinnkk--mmaattcchhiinngg--ppaarreenn ((OOffff))
               If set to OOnn, readline attempts to briefly move the cursor to an
               opening parenthesis when a closing parenthesis is inserted.
        ccoolloorreedd--ccoommpplleettiioonn--pprreeffiixx ((OOffff))
-              If  set  to  OOnn, when listing completions, readline displays the
+              If set to OOnn, when listing completions,  readline  displays  the
               common prefix of the set of possible completions using a differ-
-              ent  color.   The  color definitions are taken from the value of
+              ent color.  The color definitions are taken from  the  value  of
               the LLSS__CCOOLLOORRSS environment variable.
        ccoolloorreedd--ssttaattss ((OOffff))
-              If set to OOnn, readline displays possible completions using  dif-
-              ferent  colors  to  indicate their file type.  The color defini-
-              tions are taken from the  value  of  the  LLSS__CCOOLLOORRSS  environment
+              If  set to OOnn, readline displays possible completions using dif-
+              ferent colors to indicate their file type.   The  color  defini-
+              tions  are  taken  from  the  value of the LLSS__CCOOLLOORRSS environment
               variable.
        ccoommmmeenntt--bbeeggiinn ((````##''''))
-              The  string  that  is  inserted when the readline iinnsseerrtt--ccoommmmeenntt
+              The string that is inserted  when  the  readline  iinnsseerrtt--ccoommmmeenntt
               command is executed.  This command is bound to MM--## in emacs mode
               and to ## in vi command mode.
        ccoommpplleettiioonn--ddiissppllaayy--wwiiddtthh ((--11))
-              The  number  of  screen columns used to display possible matches
-              when performing completion.  The value is ignored if it is  less
-              than  0 or greater than the terminal screen width.  A value of 0
-              will cause matches to be displayed one per  line.   The  default
+              The number of screen columns used to  display  possible  matches
+              when  performing completion.  The value is ignored if it is less
+              than 0 or greater than the terminal screen width.  A value of  0
+              will  cause  matches  to be displayed one per line.  The default
               value is -1.
        ccoommpplleettiioonn--iiggnnoorree--ccaassee ((OOffff))
               If set to OOnn, readline performs filename matching and completion
               in a case-insensitive fashion.
        ccoommpplleettiioonn--mmaapp--ccaassee ((OOffff))
-              If set to OOnn, and ccoommpplleettiioonn--iiggnnoorree--ccaassee  is  enabled,  readline
-              treats  hyphens  (_-) and underscores (__) as equivalent when per-
+              If  set  to  OOnn, and ccoommpplleettiioonn--iiggnnoorree--ccaassee is enabled, readline
+              treats hyphens (_-) and underscores (__) as equivalent  when  per-
               forming case-insensitive filename matching and completion.
        ccoommpplleettiioonn--pprreeffiixx--ddiissppllaayy--lleennggtthh ((00))
-              The length in characters of the common prefix of a list of  pos-
-              sible  completions that is displayed without modification.  When
-              set to a value greater than zero, common  prefixes  longer  than
-              this  value are replaced with an ellipsis when displaying possi-
+              The  length in characters of the common prefix of a list of pos-
+              sible completions that is displayed without modification.   When
+              set  to  a  value greater than zero, common prefixes longer than
+              this value are replaced with an ellipsis when displaying  possi-
               ble completions.
        ccoommpplleettiioonn--qquueerryy--iitteemmss ((110000))
-              This determines when the user is queried about viewing the  num-
-              ber  of  possible  completions generated by the ppoossssiibbllee--ccoommppllee--
-              ttiioonnss command.  It may be set to any integer value greater  than
-              or  equal  to  zero.   If  the number of possible completions is
+              This  determines when the user is queried about viewing the num-
+              ber of possible completions generated  by  the  ppoossssiibbllee--ccoommppllee--
+              ttiioonnss  command.  It may be set to any integer value greater than
+              or equal to zero.  If the  number  of  possible  completions  is
               greater than or equal to the value of this variable, the user is
-              asked  whether or not he wishes to view them; otherwise they are
+              asked whether or not he wishes to view them; otherwise they  are
               simply listed on the terminal.
        ccoonnvveerrtt--mmeettaa ((OOnn))
-              If set to OOnn, readline will convert characters with  the  eighth
+              If  set  to OOnn, readline will convert characters with the eighth
               bit set to an ASCII key sequence by stripping the eighth bit and
-              prefixing an escape character (in effect, using  escape  as  the
-              _m_e_t_a  _p_r_e_f_i_x).   The  default is _O_n, but readline will set it to
+              prefixing  an  escape  character (in effect, using escape as the
+              _m_e_t_a _p_r_e_f_i_x).  The default is _O_n, but readline will  set  it  to
               _O_f_f if the locale contains eight-bit characters.
        ddiissaabbllee--ccoommpplleettiioonn ((OOffff))
               If set to OOnn, readline will inhibit word completion.  Completion
-              characters  will  be  inserted into the line as if they had been
+              characters will be inserted into the line as if  they  had  been
               mapped to sseellff--iinnsseerrtt.
        eecchhoo--ccoonnttrrooll--cchhaarraacctteerrss ((OOnn))
-              When set to OOnn, on operating systems that indicate they  support
+              When  set to OOnn, on operating systems that indicate they support
               it, readline echoes a character corresponding to a signal gener-
               ated from the keyboard.
        eeddiittiinngg--mmooddee ((eemmaaccss))
